//
//  ITPopoverController.h
//  ToolKit
//
//  Created by Kevin on 13/5/14.
//  Copyright (c) 2013年 IPEVO. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ITConstants.h"

enum {
   ITPopoverArrowDirectionUp = 1UL << 0,
   ITPopoverArrowDirectionDown = 1UL << 1,
   ITPopoverArrowDirectionLeft = 1UL << 2,
   ITPopoverArrowDirectionRight = 1UL << 3,
   ITPopoverArrowDirectionAny = ITPopoverArrowDirectionUp | ITPopoverArrowDirectionDown |
   ITPopoverArrowDirectionLeft | ITPopoverArrowDirectionRight,
   ITPopoverArrowDirectionUnknown = NSUIntegerMax
};
typedef NSUInteger ITPopoverArrowDirection;

@interface ITPopoverController : NSWindowController
{
    NSViewController * _contentViewController;
    NSView * _containerView;
}

@property (nonatomic, strong) NSViewController * contentViewController;

- (id)initWithContentViewController:(NSViewController *)viewController;
- (void)presentPopoverFromButton:(NSButton *) button permittedArrowDirections:(ITPopoverArrowDirection) arrowDirections animated:(BOOL)animated;
- (void)dismissPopoverAnimated:(BOOL)animated;
@end