//
//  NSAlert+Block.h
//  Presenter
//
//  Created by Kevin on 2014/2/25.
//  Copyright (c) 2014年 IPEVO Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef void (^DismissBlock)(NSInteger buttonIndex);
typedef void (^CancelBlock)();

@interface NSAlert (Block)

+ (NSAlert *) showSheetModalForWindow:(NSWindow *) window
                          messageText:(NSString *) message
                      informativeText:(NSString *) text
                           alertStyle:(NSAlertStyle) style
                    cancelButtonTitle:(NSString *) cancelButtonTitle
                    otherButtonTitles:(NSArray *) otherButtons
                        accessoryView:(NSView *) view
                            onDismiss:(DismissBlock) dismissed
                            onCancel:(CancelBlock) cancelled;

+ (void) runModalWithMessageText:(NSString *) message
                 informativeText:(NSString *) text
                      alertStyle:(NSAlertStyle) style
               cancelButtonTitle:(NSString *) cancelButtonTitle
               otherButtonTitles:(NSArray *) otherButtons
                   accessoryView:(NSView *) view
                       onDismiss:(DismissBlock) dismissed
                        onCancel:(CancelBlock) cancelled;
@end